Package fr.gouv.vitam.worker.core.plugin.purge

# Class PurgeReportService

java.lang.Object
fr.gouv.vitam.worker.core.plugin.purge.PurgeReportService

public class PurgeReportService extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PurgeReportService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendObjectGroupEntries(String processId, List<PurgeObjectGroupReportEntry> entries)`
  `void`
  `appendUnitEntries(String processId, List<PurgeUnitReportEntry> entries)`
  `void`
  `cleanupReport(String processId)`
  `void`
  `exportAccessionRegisters(HandlerIO handler, String processId, WorkFlowExecutionContext executionContext)`
  `CloseableIterator<String>`
  `exportDistinctObjectGroups(HandlerIO handler, WorkFlowExecutionContext executionContext, String processId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PurgeReportService

    public PurgeReportService()

- ## Method Details

  - ### appendUnitEntries

    public void appendUnitEntries(String processId, List<PurgeUnitReportEntry> entries) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`

  - ### appendObjectGroupEntries

    public void appendObjectGroupEntries(String processId, List<PurgeObjectGroupReportEntry> entries) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`

  - ### exportDistinctObjectGroups

    public CloseableIterator<String> exportDistinctObjectGroups(HandlerIO handler, WorkFlowExecutionContext executionContext, String processId) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`

  - ### exportAccessionRegisters

    public void exportAccessionRegisters(HandlerIO handler, String processId, WorkFlowExecutionContext executionContext) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`

  - ### cleanupReport

    public void cleanupReport(String processId) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`